using System;
using System.Collections.Generic;
using ReactiveUI;

namespace AvaloniaExample.ViewModels
{
	public class Page1ViewModel : ReactiveObject
	{
		string login = "";
		string password = "";
		string message = "";

        public string Login { get => login; set => this.RaiseAndSetIfChanged(ref login, value); }
        public string Password { get => password; set => this.RaiseAndSetIfChanged(ref password, value); }
        public string Message { get => message; set => this.RaiseAndSetIfChanged(ref message, value); }
    }
}